
#ifndef __SC2402_H
#define __SC2402_H

#include <printer.h>
#include <form.h>

#include "../cg/saldacon.h"
#include "sc2102.h"
#include "sc2400a.h"
#include "sc21pec.h"

#include "sc2401.h"

#include <clifo.h>
#include <causali.h>
#include <pagsca.h>
#include <scadenze.h>

class TSol_mask: public TESSL_mask

{

protected:

public:
  bool get_sel_tot_saldo() const ;
  real get_sel_importo() const ;

  TSol_mask(const char *name);
  virtual ~TSol_mask();
};

///////////////////////////////////////////////////////////
// TSol_row
///////////////////////////////////////////////////////////

class TSol_row : public TESSL_row

{                

protected: // TSortable

public:                               
  TSol_row(const TRiga_partite& row, const TDate& data, const TImporto& imp, int rata);
  TSol_row(const char* desc, const TImporto& imp);
  virtual ~TSol_row() {}
};


///////////////////////////////////////////////////////////
// TSol_form: form speciale per estratti conto
///////////////////////////////////////////////////////////

class TSol_form : public TESSL_form {                       
  bool  _sel_tot_saldo;
  real  _sel_importo;

protected:
  
public:
  bool get_sel_tot_saldo() const { return _sel_tot_saldo;}
  const real & get_sel_importo() const { return _sel_importo; }
  TSol_form(const TSol_mask& m, short id_datalim);      
  virtual ~TSol_form() {}
};    

///////////////////////////////////////////////////////////
// TSol_array
///////////////////////////////////////////////////////////

class TSol_array : public TESSL_array

{   

protected:
  
public:    
  TSol_array(const TPartita& game, const TSol_form* f);
  virtual ~TSol_array() {}
};


#endif // __SC2402_H
